<?php
$bt="绑定QQ帐号";
include"../head.php";
include"../conn.php";
include_once"../function.php";
include"fun.php";
$sid = sqlstr($_COOKIE['dl']);
$uin=mysql_fetch_array(mysql_query("select * from user where sid='$sid'"));
if(!$uin){
header("Location:../login.php");
exit;//跳转到登录页面
}

$id=$uin['id'];
$z=$_GET["z"];
echo '<div class="hui"><div class="zuo">我的QQ信息</div><div class="you"><font color="red">»</font><a href="/m/diary/">返回</a></div></div>';
if($z==1){
$qq=sqlstr($_POST["qq"]);//QQ
$pwd=sqlstr($_POST["pwd"]);//QQ密码

$Login=Login($qq,$pwd);

if($Login===true){
$qqinfo=mysql_fetch_array(mysql_query("select * from user where qq='$qq'"));
if(!$qqinfo){
mysql_query("UPDATE user SET qq='$qq' WHERE id='$id'");
header("Location:index.php?z=1");
exit;//跳转到个人QQ页面
}else{
echo "<div id='main'><font color='red'>这个QQ号已经被绑定过了哦</font></div>";
}
}elseif($Login==1){
echo"<div id='main'><font color='red'>QQ帐号或者密码错误</font></div>";
}elseif($Login==2){
echo"<div id='main'><font color='red'>QQ登录异常，暂时不支持验证码输入。</font></div>";
}else{
echo" <div id='main'><font color='red'>登录失败，未知错误</font></div> ";
}
}
?>

<div id="main"><p class="hl">绑定QQ到我的一线印象</p>
<form action="qqlogin.php?z=1" method="post">
<p><label class="liblogtag">QQ帐号: </label></p><p><input type="text"  class="loginput" name="qq" maxlength="15"/></p>
<p><label class="liblogtag">QQ密码: </label></p><p><input type="password" name="pwd"  class="loginput"maxlength="18"/></p>
<p><input class="libbtn" name="libreg"type="submit" value="登录绑定" /></p>
</form> <br/><font color="red"><b>安全协议</b></font><br/>1. 绑定QQ号后可以使用QQ登录一线印象，安全方便快捷。<br/>2. 一线印象郑重承诺不会记录你的任何隐私信息，请放心登录。<br/>3. 系统采用非腾讯SDK接入，可能会与你正在登录的QQ号冲突，导致下线。<br/>4. 如果你使用本QQ登录，说明你同意本协议。
</div>

<?php include("../footer.php"); ?>